Bug 10653 - 'stat' unresolved on "libkrb5.so.2.2" load
'stat' unresolved on "libkrb5.so.2.2" load
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: krb5 (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
http://web.mit.edu/smandal/www/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-08 02:26 EDT by mop45352
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-16 18:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mop45352 2000-04-08 02:26:00 EDT
When "libkrb5.so.2.2" is loaded by the dynamic linker, for either krb4 or
krb5 applications, one receives the following error:

/usr/kerberos/lib/libkrb5.so.2.2: undefined reference to `stat'

To further investigate, I invoked

ld -M -lc /usr/kerberos/lib/libkrb5.so.2.2 >& /tmp/foo.txt

The top too lines from "/tmp/foo.txt" read:

/usr/kerberos/lib/libkrb5.so.2.2: undefined reference to `fstat'
/usr/kerberos/lib/libkrb5.so.2.2: undefined reference to `stat'

Note that if one does not include the "-lc" specification on the 'ld'
command line, it will spew errors for *all* libc symbols, which is not
normal.  Now, I invoked

rpm -qpR krb5-libs-1.1.1-9.i386.rpm

to obtain

/etc/krb5.conf
/bin/sh
ld-linux.so.2
libc.so.6
libcom_err.so.3
libdes425.so.3
libdyn.so.1
libgssapi_krb5.so.2
libgssrpc.so.3
libk5crypto.so.2
libkdb5.so.3
libkrb5.so.2
libresolv.so.2

Notice that the normal "GLIBC" lines, namely

libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)

are not on the list!  I think something went wrong in the RPM build process
that these obvious dependencies would not be listed.

My "/usr/lib/libc.so" is correct (concerning the designed omission of
'stat' definitions) and this error did not occur for previous krb5 builds
(obtained through MIT), nor does it currently occur for any other programs
which I know to use the 'stat' function.

I hope this was helpful without dragging on too much!

Regards,

Sourav K. Mandal
smandal@mit.edu
Comment 1 Nalin Dahyabhai 2000-04-11 12:22:59 EDT
This will be fixed in krb5-*-1.1.1-13, in the next snapshot of Raw Hide
(ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/), but until then you
can grab them from http://people.redhat.com/nalin/test/ if you need to.

Note You need to log in before you can comment on or make changes to this bug.